Create Plan

POSThttps://bank.dattaremit.com/api/plans

Requires a bank-scoped key.

Creates a plan.

## Create a plan

Plans can be created for a Bank or a Customer.

To create plan for your Bank, omit the customer_guid parameter in the request body. To create plans for your Customers, include the customer_guid parameter in the request body.

StateDescription
storingThe Platform is storing the plan details in our private store
planningThe Platform is currently building the plan
completedThe Platform has successfully completed the plan
failedThe Platform was not able to successfully complete the plan

Required scope: plans:execute

Body Params

required
typeremittancerequired

The type of product the plan is for.

bank_guidstring

The unique identifier for the bank.

customer_guidstring

The unique identifier for the customer.

source_accountobjectrequired

Source account

guidstringrequired

The source account's identifier.

amountinteger

The amount to be delivered in base units of the source account currency

payment_railach | eft | wire | rtp | etransfer

The desired payment rail to use to initiate a fiat transfer from the source account.

destination_accountobjectrequired

Destination account

guidstringrequired

The destination account's identifier.

amountinteger

The amount to be delivered in base units of the source account currency

payment_railach | eft | wire | rtp | etransfer

The desired payment rail to use to initiate a fiat transfer to the destination account.

travel_rule_infoobject

Travel rule information

ultimate_originating_party_guidstring

The unique identifier for the ultimate originating party.

ultimate_receiving_party_guidstring

The unique identifier for the ultimate receiving party.

purpose_of_transactioncomputer_services | family_support | education | gift | charitable_donation | medical_treatment | maintenance_expenses | travel | hotel_accommodation | small_value_remittance | liberalized_remittance | personal_transfer | loan_payment | tax_payment | construction_expenses | advertising_expenses | advisory_fees | business_insurance | insurance_claims | delivery_fees | service_charges | office_expenses | property_purchase | property_rental | royalty_fees | shares_investment | fund_investment | bill_payment | transportation_fees | salary_payment | reward_payment | influencer_payment | other_fees | other | exported_goods | commission_on_goods | commission_on_services | accounting_services | exhibition_services

The purpose of transaction for the plan.

labelsstring[]

The labels associated with the plan.

supporting_documentsobject[]

Supporting documents to attach to the plan. Optional when type is remittance.

Responses

201

plan created

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

422

Unable to process request

Request

curl https://api.dattaremit.com/api/plans \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "remittance",
  "source_account": {
    "guid": "string",
    "amount": 1,
    "payment_rail": "ach"
  },
  "destination_account": {
    "guid": "string",
    "amount": 1,
    "payment_rail": "ach"
  },
  "bank_guid": "string",
  "customer_guid": "string",
  "travel_rule_info": {
    "ultimate_originating_party_guid": "string",
    "ultimate_receiving_party_guid": "string"
  },
  "purpose_of_transaction": "computer_services",
  "labels": [
    "string"
  ],
  "supporting_documents": [
    {
      "type": "invoice",
      "file_guids": [
        "string"
      ],
      "document_reference_number": "string"
    }
  ]
}'

Response

plan created

{
  "guid": "string",
  "type": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "expires_at": "2026-07-20T16:27:51.438Z",
  "state": "string",
  "failure_code": "string",
  "source_account": {
    "guid": "string",
    "type": "string",
    "organization_guid": "string",
    "bank_guid": "string",
    "customer_guid": "string",
    "counterparty_guid": "string",
    "asset": "string",
    "requested_amount": 1,
    "quoted_amount": 1,
    "executed_amount": 1,
    "payment_rail": "ach"
  },
  "destination_account": {
    "guid": "string",
    "type": "string",
    "organization_guid": "string",
    "bank_guid": "string",
    "customer_guid": "string",
    "counterparty_guid": "string",
    "asset": "string",
    "requested_amount": 1,
    "quoted_amount": 1,
    "executed_amount": 1,
    "payment_rail": "ach"
  },
  "stages": [
    {
      "guid": "string",
      "type": "string",
      "state": "string",
      "failure_code": "string",
      "identifiers": [
        {
          "type": "string",
          "value": "string"
        }
      ],
      "links": [
        {
          "type": "string",
          "value": "string"
        }
      ],
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z",
      "source_account": {
        "guid": "string",
        "type": "string",
        "organization_guid": "string",
        "bank_guid": "string",
        "customer_guid": "string",
        "counterparty_guid": "string",
        "asset": "string",
        "requested_amount": 1,
        "quoted_amount": 1,
        "executed_amount": 1,
        "payment_rail": "ach"
      },
      "destination_account": {
        "guid": "string",
        "type": "string",
        "organization_guid": "string",
        "bank_guid": "string",
        "customer_guid": "string",
        "counterparty_guid": "string",
        "asset": "string",
        "requested_amount": 1,
        "quoted_amount": 1,
        "executed_amount": 1,
        "payment_rail": "ach"
      },
      "fees": [
        {
          "type": "string",
          "asset": "string",
          "quoted_amount": 1,
          "executed_amount": 1
        }
      ],
      "deposit_return_details": {
        "returned_at": "2026-07-20T16:27:51.438Z",
        "return_code": "string"
      },
      "withdrawal_return_details": {
        "returned_at": "2026-07-20T16:27:51.438Z",
        "return_code": "string"
      }
    }
  ],
  "fees": [
    {
      "type": "string",
      "asset": "string",
      "quoted_amount": 1,
      "executed_amount": 1
    }
  ],
  "travel_rule_info": {
    "originating_party": {
      "type": "string",
      "participant_guid": "string"
    },
    "receiving_party": {
      "type": "string",
      "participant_guid": "string"
    },
    "ultimate_originating_party": {
      "type": "string",
      "participant_guid": "string"
    },
    "ultimate_receiving_party": {
      "type": "string",
      "participant_guid": "string"
    }
  },
  "purpose_of_transaction": "computer_services",
  "supporting_documents": [
    {
      "guid": "string",
      "type": "invoice",
      "files": [
        {
          "guid": "string",
          "filename": "string",
          "content_type": "string"
        }
      ],
      "document_reference_number": "string"
    }
  ],
  "labels": [
    "string"
  ]
}